Package org.apache.storm.streams.operations.mappers

## Class TupleValueMappers

- java.lang.Object
- - org.apache.storm.streams.operations.mappers.TupleValueMappers

-     public final class TupleValueMappers
      extends Object

  Factory for constructing typed tuples from a `Tuple` based on indicies.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T1,​T2,​T3> TupleValueMapper<Tuple3<T1,​T2,​T3>>` | `of​(int index1, int index2, int index3)` |
    `static <T1,​T2,​T3,​T4> TupleValueMapper<Tuple4<T1,​T2,​T3,​T4>>` | `of​(int index1, int index2, int index3, int index4)` |
    `static <T1,​T2,​T3,​T4,​T5> TupleValueMapper<Tuple5<T1,​T2,​T3,​T4,​T5>>` | `of​(int index1, int index2, int index3, int index4, int index5)` |
    `static <T1,​T2,​T3,​T4,​T5,​T6> TupleValueMapper<Tuple6<T1,​T2,​T3,​T4,​T5,​T6>>` | `of​(int index1, int index2, int index3, int index4, int index5, int index6)` |
    `static <T1,​T2,​T3,​T4,​T5,​T6,​T7> TupleValueMapper<Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7>>` | `of​(int index1, int index2, int index3, int index4, int index5, int index6, int index7)` |
    `static <T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8> TupleValueMapper<Tuple8<T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8>>` | `of​(int index1, int index2, int index3, int index4, int index5, int index6, int index7, int index8)` |
    `static <T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9> TupleValueMapper<Tuple9<T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9>>` | `of​(int index1, int index2, int index3, int index4, int index5, int index6, int index7, int index8, int index9)` |
    `static <T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9,​T10> TupleValueMapper<Tuple10<T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9,​T10>>` | `of​(int index1, int index2, int index3, int index4, int index5, int index6, int index7, int index8, int index9, int index10)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static <T1,​T2,​T3> TupleValueMapper<Tuple3<T1,​T2,​T3>> of​(int index1,
                                                                                                 int index2,
                                                                                                 int index3)

    - #### of

          public static <T1,​T2,​T3,​T4> TupleValueMapper<Tuple4<T1,​T2,​T3,​T4>> of​(int index1,
                                                                                                                   int index2,
                                                                                                                   int index3,
                                                                                                                   int index4)

    - #### of

          public static <T1,​T2,​T3,​T4,​T5> TupleValueMapper<Tuple5<T1,​T2,​T3,​T4,​T5>> of​(int index1,
                                                                                                                                     int index2,
                                                                                                                                     int index3,
                                                                                                                                     int index4,
                                                                                                                                     int index5)

    - #### of

          public static <T1,​T2,​T3,​T4,​T5,​T6> TupleValueMapper<Tuple6<T1,​T2,​T3,​T4,​T5,​T6>> of​(int index1,
                                                                                                                                                       int index2,
                                                                                                                                                       int index3,
                                                                                                                                                       int index4,
                                                                                                                                                       int index5,
                                                                                                                                                       int index6)

    - #### of

          public static <T1,​T2,​T3,​T4,​T5,​T6,​T7> TupleValueMapper<Tuple7<T1,​T2,​T3,​T4,​T5,​T6,​T7>> of​(int index1,
                                                                                                                                                                         int index2,
                                                                                                                                                                         int index3,
                                                                                                                                                                         int index4,
                                                                                                                                                                         int index5,
                                                                                                                                                                         int index6,
                                                                                                                                                                         int index7)

    - #### of

          public static <T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8> TupleValueMapper<Tuple8<T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8>> of​(int index1,
                                                                                                                                                                                           int index2,
                                                                                                                                                                                           int index3,
                                                                                                                                                                                           int index4,
                                                                                                                                                                                           int index5,
                                                                                                                                                                                           int index6,
                                                                                                                                                                                           int index7,
                                                                                                                                                                                           int index8)

    - #### of

          public static <T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9> TupleValueMapper<Tuple9<T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9>> of​(int index1,
                                                                                                                                                                                                             int index2,
                                                                                                                                                                                                             int index3,
                                                                                                                                                                                                             int index4,
                                                                                                                                                                                                             int index5,
                                                                                                                                                                                                             int index6,
                                                                                                                                                                                                             int index7,
                                                                                                                                                                                                             int index8,
                                                                                                                                                                                                             int index9)

    - #### of

          public static <T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9,​T10> TupleValueMapper<Tuple10<T1,​T2,​T3,​T4,​T5,​T6,​T7,​T8,​T9,​T10>> of​(int index1,
                                                                                                                                                                                                                                  int index2,
                                                                                                                                                                                                                                  int index3,
                                                                                                                                                                                                                                  int index4,
                                                                                                                                                                                                                                  int index5,
                                                                                                                                                                                                                                  int index6,
                                                                                                                                                                                                                                  int index7,
                                                                                                                                                                                                                                  int index8,
                                                                                                                                                                                                                                  int index9,
                                                                                                                                                                                                                                  int index10)